## dzl-preferences-file-chooser-button

dzl-preferences-file-chooser-button

## Properties

GtkFileChooserAction | action | Read / Write / Construct Only
char * | key | Read / Write / Construct Only
char * | subtitle | Read / Write / Construct Only
char * | title | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_PREFERENCES_FILE_CHOOSER_BUTTON
| DzlPreferencesFileChooserButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesBin
                            ╰── DzlPreferencesFileChooserButton

## Implemented Interfaces

DzlPreferencesFileChooserButton implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

## Types and Values

### DZL_TYPE_PREFERENCES_FILE_CHOOSER_BUTTON

    #define DZL_TYPE_PREFERENCES_FILE_CHOOSER_BUTTON (dzl_preferences_file_chooser_button_get_type())

### DzlPreferencesFileChooserButton

    typedef struct _DzlPreferencesFileChooserButton DzlPreferencesFileChooserButton;

## Property Details

### The `“action”` property

      “action”                   GtkFileChooserAction

Action.

Owner: DzlPreferencesFileChooserButton

Flags: Read / Write / Construct Only

Default value: GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER

### The `“key”` property

      “key”                      char *

Key.

Owner: DzlPreferencesFileChooserButton

Flags: Read / Write / Construct Only

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 char *

Subtitle.

Owner: DzlPreferencesFileChooserButton

Flags: Read / Write / Construct Only

Default value: NULL

### The `“title”` property

      “title”                    char *

Title.

Owner: DzlPreferencesFileChooserButton

Flags: Read / Write / Construct Only

Default value: NULL